/*
 * @(#)fd_md.h	1.5 96/11/23
 * 
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.1_beta
 * 
 */

#ifndef	_WIN32_FD_MD_H_
#define	_WIN32_FD_MD_H_

#include <windows.h>
#include <sys/types.h>
#include <ctype.h>
#include <stdlib.h>

#include "java_io_FileDescriptor.h"

#define	MAXPATHLEN _MAX_PATH

void sysInitFD(Classjava_io_FileDescriptor *, int);

int sysOpenFD(Classjava_io_FileDescriptor *, const char *, int, int);
void sysCloseFD(Classjava_io_FileDescriptor *);
void sysSocketFD(Classjava_io_FileDescriptor *, long);
int sysReadFD(Classjava_io_FileDescriptor *, char *, int);
int sysWriteFD(Classjava_io_FileDescriptor *, char *, int);
int sysRecvFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysSendFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysAvailableFD(Classjava_io_FileDescriptor *, long *);
long sysLseekFD(Classjava_io_FileDescriptor *, long, long);
void sysSyncFD(Classjava_io_FileDescriptor *);

#endif	/* !_WIN32_FD_MD_H_ */
